Open SCAP Library

Public Member Functions | Data Fields
oval_filter Struct Reference
OVAL » OVALDEF

OVAL filter. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_filter * | oval_filter_new (struct oval_definition_model *)
void | oval_filter_free (struct oval_filter *)
struct oval_filter * | oval_filter_clone (struct oval_definition_model *, struct oval_filter *)
Setters
void | oval_filter_set_state (struct oval_filter *, struct oval_state *)
void | oval_filter_set_filter_action (struct oval_filter *, oval_filter_action_t)
Getters
struct oval_state * | oval_filter_get_state (struct oval_filter *)
oval_filter_action_t | oval_filter_get_filter_action (struct oval_filter *)
Iterators
bool | oval_filter_iterator_has_more (struct oval_filter_iterator *)
struct oval_filter * | oval_filter_iterator_next (struct oval_filter_iterator *)
void | oval_filter_iterator_free (struct oval_filter_iterator *)

## Data Fields
struct oval_definition_model * | model
struct oval_state * | state
oval_filter_action_t | action

## Detailed Description

OVAL filter.

The documentation for this struct was generated from the following files:

- oval_filter.c
- oval_definitions.h